﻿# You can place the script of your game in this file.

init:
    # Declare images below this line, using the image statement.
    # eg. image eileen happy = "eileen_happy.png"
    image bg black = "bg3.png"

    # Declare characters used by this game.
    $ me = Character('The Prince', color="#3333ff")
    $ f = Character('The Princess', color="#ff3333")
    $ deaths = 0
    $ saw_guard = False

# The game starts here.
label start:
    scene bg black
    me "You probably think time is like an arrow, straight and pointy."
    me "But I have laid near the secret parts of time, and let me tell you: this cannot be further from the truth."
    me "Time is like a willow tree, forever growing branches until it withers, dies, and collapses under its own weight."
    me "Sit down, and I will tell you a most fantastic story."
    me "I was once a mighty prince until the Grand Vizier betrayed my father and threw me into the palace dungeons."
    me "Stripped of my sword and my honor, I vowed to escape and enact my revenge on that vile man."
    me "In my cell, I spied a suspicious tile."
    menu:
        "So I stepped on it.":
            jump tile1
        "So I ran over it.":
            jump tile2
        "But it wouldn't budge.":
            jump tile3
            
label tile1:
    me "So I stepped on it."
    me "The tile cracked under my weight."
    me "My flailing body hit the stone floor beneath my cell head-first."
    me "I died in an instant, bits of bone, blood, and brains pooling around my mangled corpse."
    $ deaths += 1
    f "..."
    if deaths == 2:
        me "Wait, that doesn't sound right either..."
    else:
        me "Wait, that doesn't sound right..."
    me "So I was in my cell, yeah? And there was a suspicious tile."
    jump tile2
    
label tile2:
    me "So I ran over it."
    me "The tile collapsed, revealing a hole to the ground below."
    menu:
        "So I jumped down.":
            jump down1
        "So I carefully lowered myself down.":
            jump down2    
    
label tile3:
    me "But it wouldn't budge."
    me "The tile wouldn't budge. The bars wouldn't budge. The walls wouldn't budge."
    me "After a day without food or water I started to lose hope."
    me "After the second day, I started to go quite mad."
    me "After another day, there wasn't anything left of me but a corpse."
    $ deaths += 1
    f "..."
    me "Wait, that doesn't sound right..."
    me "So I was in my cell, yeah? And there was a suspicious tile."
    menu:
        "So I stepped on it.":
            jump tile1
        "So I ran over it.":
            jump tile2
    
label down1:
    me "So I jumped down."
    me "The drop was a bit longer than I expected."
    me "Upon impact with the ground, I heard a sickening snap."
    me "My shin was sticking clear through my left leg, visible in the open dungeon air."
    me "I instinctually let out a painful scream."
    me "An armed palace guard rushed in from the adjoining room, ending my scream in an instant."
    $ deaths += 1
    f "..."
    me "But seriously, I was in my cell looking at my newly made escape route..."
    jump down2
    
label down2:
    me "So I carefully lowered myself down."
    me "It was a rough landing, but I stood up relatively unharmed."
    me "I surveyed this new room. Nothing here but stone bricks and brightly burning torches."
    me "The room had two exits, one inexplicably raised ten feet in the air."
    menu:
        "I took the high path.":
            jump high
        "I took the low path.":
            jump low
            
label low:
    me "I took the low path."
    $ saw_guard = True
    me "One of the Vizier's loyal servants was waiting for me in this narrow passage."
    me "Dressed in garish purples and reds, this stubby-legged imbicile drew his sword."
    menu:
        "So I ran away.":
            jump low1
        "I figured I could take him with my bare hands.":
            jump low2
            
label low1:
    me "So I ran away."
    f "..."
    me "Don't look at me like that. I said I was unarmed!"
    f "..."
    me "Right. I couldn't just jump up thirty feet in the air back to my cell, so the only escape route was the high path in the previous room."
    jump high
    
label low2:
    me "I figured I could take him with my bare hands."
    me "We just stood there for a minute. Sizing each other up. Making the smallest of taunts and feints."
    me "I spied a glimmer of distraction in his eyes, and knew it was my best chance."
    me "I lunged for him. He lunged for me."
    me "He had a sword. I didn't."
    me "His blade sliced me neatly in two. My top half hit the floor, my face a blank stare of horror."
    $ deaths += 1
    f "..."
    me "Don't you judge me! The Vizier's men are the best swordsmen in all of Persia!"
    f "..."
    me "Right. So I made my way to the guard."
    me "One look in his eyes told me that taking him on without a sword would be suicide."
    jump low1
    
label high:
    if saw_guard == False:
        me "I took the high path."
    else:
        me "I took the high path, leaving the guard and his stubby legs unable to pursue me."
        
    me "This new room seemed to be a dead end."
    me "In the middle of the room was an open shaft, leading god-knows-where. On the far side, a tightly gated door."
    
    menu:
        "I ran to the door.":
            jump door1
        "I carefully lowered myself down the shaft.":
            jump shaft
            
label door1:
    me "I ran to the door."
    me "Before my conscious mind could remember the shaft, my right leg failed to hit the ground and so I toppled down."
    me "Miraculously, I landed arse-first. A little bruised, but still alive."
    me "I slowly got to my feet."
    jump spikes
    
label shaft:
    me "I carefully lowered myself down the shaft."
    me "I hit the ground feet-first. Looking around, I couldn't see an exit."
    jump spikes
    
label spikes:
    me "That's when I got impaled by the spikes."
    $ deaths += 1
    f "Okay, stop. Just... stop."
    me "What's wrong? Don't you like my story?"
    if deaths == 1:
        jump ending1
    elif deaths <= 3:
        jump ending2
    else:
        jump ending3
        
label ending1:
    f "You died? Really? You expect me to believe that."
    me "Well..."
    f "What's the point of telling me this?"
    me "I, uh, just wanted to add some dramatic tension."
    f "Dramatic tension?"
    me "Yeah."
    f "You're here. You're alive. You're telling this story to me. In the past tense."
    f "It's not the best story, but I've listened to in silence so far."
    f "How stupid do you think I am? Get the hell out of my room!"
    menu:
        "But...":
            jump ending1a
        "Wait...":
            jump ending1a
        "I can explain!":
            jump ending1a
    
label ending1a:
    f "OUT!"
    "The Prince died while climbing down from the Princess' balcony."
    "And then he climbed down from her balcony and led a long, healthy life in which he died many times over."
    return
            
label ending2:
    f "If you were Scheherazade, she would have survived one thousand nights less."
    me "What's that supposed to mean?"
    f "Your storytelling. It's awful."
    me "Again, what do you mean by that?"
    f "There's no narrative consistency."
    me "Narrative consistency?"
    if deaths == 2:
        f "The main character died. Twice."
    else:
        f "The main character died. Three times."
    me "Oh, yeah. I guess he did. Can't you just suspend your disbelief for a bit? For the sake of dramatic tension?"
    f "No. No I can't. That's a bloody stupid way of adding dramatic tension."
    f "Also, the pacing is all off."
    me "What's wrong with the pacing?"
    f "All the constant stops and starts and restarts. Retreading the same ground every time the protagonist dies."
    f "I was kind of interested in his story at first, but by the last death I just didn't care anymore."
    me "I see..."
    f "Look, I'll have to stop you right here."
    f "It's an interesting setting, but until you tell it in a less idiotic way, I just can't accept your manuscript."
    me "Ah."
    "The Prince walks out of her cramped midtown office, a bundle of papers clutched in his trembling arms."
    "Years later, he would be hired as a lead scenario writer at a AAA game studio."
    "One rainy day, the Princess sees his name in the credits of a bombastic action game."
    "She throws her controller to the ground, but doesn't tell her wife why."
    return
    
    label ending3:
        f "I just don't get the point of all the deaths. It completely ruins the narrative flow."
        me "But.... That's the only way I know how to tell a story."
        f "It doesn't have to be that way."
        me "Yes. Yes it does."
        "The Prince unsheaths his sword."
        me "In my world, a man cannot achieve his goals without first dying a thousand deaths."
        "Before the Princess could even process this scene, the Prince is already stabbing himself repeatedly, reducing his flesh to a bloody, mangled mess."
        "When the Princess tells the story of her last meeting with the Prince, she always leaves this part out."
        "When the Princess tells the story, the Prince vanishes into the night, never to be seen again."
        "The ending reads better this way."
        return
